/*! Rappid v3.2.0 - HTML5 Diagramming Framework

Copyright (c) 2015 client IO

 2020-06-12


This Source Code Form is subject to the terms of the Rappid License
, v. 2.0. If a copy of the Rappid License was not distributed with this
file, You can obtain one at http://jointjs.com/license/rappid_v2.txt
 or from the Rappid archive as was distributed by client IO. See the LICENSE file.*/
declare var joint: any;
declare namespace ThemePicker {
    interface Options {
        tools: Array<{
            [key: string]: any;
        }>;
    }
    interface MainView {
        commandManager: any;
        paper: any;
        graph: any;
    }
}
export declare class ThemePicker extends joint.ui.Toolbar {
    constructor(options: {
        mainView: ThemePicker.MainView;
    });
    options: ThemePicker.Options;
    mainView: ThemePicker.MainView;
    init(): void;
    onThemeSelected(option: any): void;
    adjustAppToTheme(app: ThemePicker.MainView, theme: string): void;
}
export {};
